Project

General

Profile

Anomalie #7366

il manque une dépendance sur eole-client dans eole-client-pkg

Added by Klaas TJEBBES about 7 years ago. Updated almost 7 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Category:
-
Start date:
Due date:
04/04/2014
% Done:

100%

Spent time:
Distribution:
Toutes

Description

ajouter "eole-client" dans debian/control dans "Depends" de eole-client-pkg

Associated revisions

Revision 6acf647e (diff)
Added by Klaas TJEBBES about 7 years ago

correction du dictionnaire pour qu'il installe les paquets nécessaires dans le conteneur adéquat FIXES #7366

History

#1 Updated by Emmanuel GARETTE about 7 years ago

  • Status changed from Nouveau to En attente d'informations

Je ne vois pas bien pourquoi eole-client devrait être installé dans le conteneur fichier. Il doit l'être sur le maître uniquement.

#2 Updated by Klaas TJEBBES about 7 years ago

  • Target version set to Mises à jour 2.3.13

#3 Updated by Klaas TJEBBES about 7 years ago

Emmanuel GARETTE a écrit :

Je ne vois pas bien pourquoi eole-client devrait être installé dans le conteneur fichier. Il doit l'être sur le maître uniquement.

"eole-client" contient les dictionnaires, sur un module mode conteneur les dicos doivent se trouver sur le maitre.

En revanche, les autres paquets "eole-client-scripts" & "eole-client-server" contiennent les programmes qui, eux, doivent se trouver sur le conteneur fichier.

#4 Updated by Klaas TJEBBES about 7 years ago

Il existe une dépendance entre eole-client-pkg sur eole-client-scripts et eole-client-server => OK

Le dictionnaire par contre devrait installer eole-client-pkg (actuellement il installe eole-client).

#5 Updated by Klaas TJEBBES about 7 years ago

  • Status changed from En attente d'informations to Résolu
  • % Done changed from 0 to 100

#6 Updated by Klaas TJEBBES about 7 years ago

  • Due date set to 04/04/2014

#7 Updated by Klaas TJEBBES about 7 years ago

  • Assigned To set to Klaas TJEBBES

#8 Updated by Lionel Morin almost 7 years ago

  • Status changed from Résolu to Réouvert

La dépendance est toujours manquante.

#9 Updated by Joël Cuissinat almost 7 years ago

Lionel Morin a écrit :

La dépendance est toujours manquante.

Si on relit plus attentivement les échanges, c'est normal puisqu'elle est sensée aller dans le conteneur !
Reste à savoir si les dépendances sont bien installées au reconfigure (grâce au dico).
Les derniers commits ne semblent pas être packagés en version "proposed" par contre !

#10 Updated by Joël Cuissinat almost 7 years ago

Par contre, il y a bien un problème puisque la correction 6acf647e n'est pas packagée en version candidate !

#11 Updated by Joël Cuissinat almost 7 years ago

  • Status changed from Réouvert to Résolu

Avec le paquet recompilé : eole-client 2.3-eole3~8, les dépendances s'installent bien au reconfigure :

*** Installation/désinstallation des paquets ***
Installation de eole-client-pkg (root)
Lecture des listes de paquets...
Construction de l'arbre des dépendances...
Lecture des informations d'état...
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libdb4.7 libtommath0
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  eole-client-scripts eole-client-server
Les NOUVEAUX paquets suivants seront installés :
  eole-client-pkg eole-client-scripts eole-client-server

#12 Updated by Lionel Morin almost 7 years ago

  • Status changed from Résolu to Fermé

eole-client-pkg est bien installé lors de l'installation d'eole-client (après reconfigure)

Also available in: Atom PDF